the "Open File" dialog of kid3-qt on Ubuntu 9.10 does not work correctly

Bug #444986 reported by Christian Mangold on 2009-10-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kid3 (Ubuntu)
Undecided
Christian Mangold

Bug Description

Binary package hint: kid3

The "Open File" dialog of kid3-qt on Ubuntu 9.10 (with GNOME desktop, the file dialog looks like
a GNOME file chooser) does not work correctly - no file can be selected.

Upstream provided a patch :

diff -ru kid3-1.2.orig/kid3/kid3.cpp kid3-1.2/kid3/kid3.cpp
--- kid3-1.2.orig/kid3/kid3.cpp 2009-04-28 20:20:27.000000000 +0200
+++ kid3-1.2/kid3/kid3.cpp 2009-10-06 18:02:43.273594704 +0200
@@ -1482,7 +1482,9 @@
                        if (start != -1 && end != -1 && end > start) {
                                filter = filter.mid(start + 1, end - start - 1);
                        }
- s_miscCfg.m_nameFilter = filter;
+ if (!filter.isEmpty()) {
+ s_miscCfg.m_nameFilter = filter;
+ }
                        openDirectory(dir);
                }
        }

The patch can also be found on
https://sourceforge.net/tracker/?func=detail&aid=2873636&group_id=70849&atid=529223

Related branches

Christian Mangold (neversfelde) wrote :

kid3 (1.2-1ubuntu4) karmic; urgency=low

  * Revert changes from previous revision. The bug that caused the problems
    was in mpeg4ip and was fixed in the meantime
  * Add patch fix_gnome_file_dialog.diff, thanks to Urs Fleisch (LP: #444986)
    - Add build-dep on quilt
    - Add quilt to debian/rules

 -- Christian Mangold <email address hidden> Tue, 06 Oct 2009 23:48:41 +0200

This also adds MP4 support to kid3 again, the bug that caused FTFBS is fixed.

Changed in kid3 (Ubuntu):
assignee: nobody → Christian Mangold (neversfelde)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kid3 - 1.2-1ubuntu4

---------------
kid3 (1.2-1ubuntu4) karmic; urgency=low

  * Revert changes from previous revision. The bug that caused the problems
    was in mpeg4ip and was fixed in the meantime
  * Add patch fix_gnome_file_dialog.diff, thanks to Urs Fleisch (LP: #444986)
    - Add build-dep on quilt
    - Add quilt to debian/rules

 -- Christian Mangold <email address hidden> Tue, 06 Oct 2009 23:48:41 +0200

Changed in kid3 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers